import { useNavigate } from 'react-router-dom';
import '../style/generic.css'
import '../style/button.css'

const Layout = () => {
  const navigate = useNavigate();

  return (
    <div className="container">
      <div className="containerChild">
        <div>
          <button className="button" onClick={() => navigate("/newRun-QRStart-InstaFinish", {state: {finishUrl: "/finish", waitForQr: false}})}>QRStart-InstaFinish</button>
          <button className="button" onClick={() => navigate("/newRun-QRStart-QRFinish", {state: {finishUrl: "/waitForQr", waitForQr: true}})}>QRStart-QRFinish</button>
          <button className="button" onClick={() => navigate("/newRun-QRStart-OnlyQRFinish", {state: {finishUrl: "/waitForQr", waitForQr: true}})}>QRStart-OnlyQRFinish</button>
        </div>
        <div>
          <button className="button" onClick={() => navigate("/newRun-ButtonStart-InstaFinish", {state: {finishUrl: "/finish", waitForQr: false}})}>ButtonStart-InstaFinish</button>
          <button className="button" onClick={() => navigate("/newRun-ButtonStart-QRFinish", {state: {finishUrl: "/waitForQr", waitForQr: true}})}>ButtonStart-QRFinish</button>
          <button className="button" onClick={() => navigate("/newRun-ButtonStart-OnlyQRFinish", {state: {finishUrl: "/waitForQr", waitForQr: true}})}>ButtonStart-OnlyQRFinish</button>
        </div>
        <div>
          <button className="button" onClick={() => navigate("/newRun-DelayStart-InstaFinish", {state: {finishUrl: "/finish", waitForQr: false}})}>DelayStart-InstaFinish</button>
          <button className="button" onClick={() => navigate("/newRun-DelayStart-QRFinish", {state: {finishUrl: "/waitForQr", waitForQr: true}})}>DelayStart-QRFinish</button>
          <button className="button" onClick={() => navigate("/newRun-DelayStart-OnlyQRFinish", {state: {finishUrl: "/waitForQr", waitForQr: true}})}>DelayStart-OnlyQRFinish</button>
        </div>
      </div>
    </div>
  )
};

export default Layout;
